\i triggers.sql
delete from accttran where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accttran where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accountbalance where entitytype = 'L' AND accountcode = 1930 ;
select * FROM accountsummary where entitytype = 'L' AND accountcode = 1930 ;
insert into accttran values( 5338, 1, 4, 1930, '2003-09-30', 'Stock sold 200 - Corel Takeover 09/03', 'L', 3, -190, 1074, NULL, NULL, NULL, 'Stocks', 0, 'O');
select * FROM accttran where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accountbalance where entitytype = 'L' AND accountcode = 1930 ;
select * FROM accountsummary where entitytype = 'L' AND accountcode = 1930 ;
update accttran set entitycode = 20 where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accttran where entitytype = 'L' AND entitycode = 20 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accountbalance where entitytype = 'L' AND accountcode = 1930 ;
select * FROM accountsummary where entitytype = 'L' AND accountcode = 1930 ;
update accttran set entitycode = 3, amount=370 where entitytype = 'L' AND entitycode = 20 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accttran where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accountbalance where entitytype = 'L' AND accountcode = 1930 ;
select * FROM accountsummary where entitytype = 'L' AND accountcode = 1930 ;
update accttran set amount=-190 where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accttran where entitytype = 'L' AND entitycode = 3 AND accountcode = 1930 AND batchcode = 5338;
select * FROM accountbalance where entitytype = 'L' AND accountcode = 1930 ;
select * FROM accountsummary where entitytype = 'L' AND accountcode = 1930 ;
